Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface CacheMBeanProperties

All Known Subinterfaces:
  CacheMBean, CacheStageMBean

public interface CacheMBeanProperties

Field Summary
`static java.lang.String` | `Asynchronous` Property name for asynchronous.
`static java.lang.String` | `BatchSize` Property name for batch size.
`static java.lang.String` | `BufferSize` Property name for buffer size.
`static java.lang.String` | `BufferWriteAttempts` Property name for buffer write attempts.
`static java.lang.String` | `BufferWriteTimeout` Property name for buffer write timeout.
`static java.lang.String` | `CACHE_MBEAN_TYPE`
`static java.lang.String` | `CACHE_STAGE_MBEAN_TYPE`
`static java.lang.String` | `FIFO` Specifies eviction policy of First In First Out.
`static java.lang.String` | `LFU` Specifies eviction policy of Least Frequently Used.
`static java.lang.String` | `LRU` Specifies eviction policy of Least Recently Used.
`static java.lang.String` | `NRU` Specifies eviction policy of Not Recently Used.
`static java.lang.String` | `WorkManagerName` Property name for work manager.
`static java.lang.String` | `WriteBehind` Specifies write policy of Write Behind.
`static java.lang.String` | `WriteNone` Specifies write policy of no writes.
`static java.lang.String` | `WritePolicy` Property name for the write policy in the WritePolicy property map.
`static java.lang.String` | `WriteThrough` Specifies write policy of Write Through.

Field Detail

### WritePolicy

    public static final java.lang.String WritePolicy

  Property name for the write policy in the WritePolicy property map. Supports dynamic change. A write policy of WriteBehind or WriteThrough may only be specified when a store has also been configured for the cache.

### WorkManagerName

    public static final java.lang.String WorkManagerName

  Property name for work manager. Can be used to set a work manager for the WriteBehind write policy and Listeners property. Supports dynamic change.

### BatchSize

    public static final java.lang.String BatchSize

  Property name for batch size. Can be used to set the batch size for the WriteBehind write policy property. Supports dynamic change.

### BufferSize

    public static final java.lang.String BufferSize

  Property name for buffer size. Can be used to set the buffer size for the WriteBehind write policy property. Must reboot before dynamic change takes effect.

### BufferWriteAttempts

    public static final java.lang.String BufferWriteAttempts

  Property name for buffer write attempts. Can be used to set the buffer write attempts for the WriteBehind write policy property. Supports dynamic change.

### BufferWriteTimeout

    public static final java.lang.String BufferWriteTimeout

  Property name for buffer write timeout. Can be used to set the buffer write timeout for the WriteBehind write policy property. Supports dynamic change. Measured in milliseconds.

### Asynchronous

    public static final java.lang.String Asynchronous

  Property name for asynchronous. Can be used to set the asynchronous setting for the Listeners property map. Supports dynamic change.

### LRU

    public static final java.lang.String LRU

  Specifies eviction policy of Least Recently Used.

### LFU

    public static final java.lang.String LFU

  Specifies eviction policy of Least Frequently Used.

### NRU

    public static final java.lang.String NRU

  Specifies eviction policy of Not Recently Used.

### FIFO

    public static final java.lang.String FIFO

  Specifies eviction policy of First In First Out.

### WriteNone

    public static final java.lang.String WriteNone

  Specifies write policy of no writes. Used when there is no store.

### WriteThrough

    public static final java.lang.String WriteThrough

  Specifies write policy of Write Through. Writes to the store are synchronous.

### WriteBehind

    public static final java.lang.String WriteBehind

  Specifies write policy of Write Behind. Writes to store are asynchronous.

### CACHE_MBEAN_TYPE

    public static final java.lang.String CACHE_MBEAN_TYPE

### CACHE_STAGE_MBEAN_TYPE

    public static final java.lang.String CACHE_STAGE_MBEAN_TYPE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.